Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.19 veröffentlicht (11.09.18)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
MyCode TableGenerator
#1
Eine neue Erweiterung wurde veröffentlicht: Table Generator

Zitat:Creates a button underneath smilies on New Thread and New Reply pages that pops up a JavaScript based generator for generating table MyCode

(of which, the plugin also creates the mycode for)



If you have smilies removed from beside your post boxes;

in newreply and newthread templates find:
Code:
<strong>{$lang->your_message}</strong>

Add this code after it (but before the </td>!)
Code:
<br /><!-- TableGenerator -->{$tabgen_button}<!-- /TableGenerator --><br />

and the button will appear.
Zitieren
#2
Dieser Benutzer erhält keinen Support, da eines seiner Foren nicht unseren Foren-Regeln entspricht!

Hallo myBB-Freunde,

leider habe ich mit der Installation des Plugins unter myBB 1.8.3 ein kleines Problem. Habe die (aktuelle) Version von hier heruntergeladen und bin anschließend dieser Anleitung zur Installation eines Plugins gefolgt, habe also alle vorhandenen Dateien
Code:
/inc/languages/deutsch_sie/tablegenerator.lang.php
/inc/languages/english/tablegenerator.lang.php
/inc/plugins/tablegenerator.php
/jscripts/tablegenerator.js
in die jeweiligen Verzeichnisse kopiert. Leider kommt beim anschließenden Aufruf des Plugin-Manager die Fehlermeldung
Code:
/srv/www/htdocs/mybb/inc/languages/deutsch_du/admin/tablegenerator.lang.php does not exist
Klar, existiert ja auch nicht. Wink

Kann mir jemand einen Tipp geben wie das Plugin zu installieren ist? Meiner Suche zufolge ist es ja so ziemlich das einzige Tabellen-Plugin für myBB.
Danke im voraus!

Gruß, myBB-Us3r
Zitieren
#3
Kopiere die Sprachdateien auch ins jeweilige admin-Verzeichnis. Dann sollte es funktionieren.
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#4
Dieser Benutzer erhält keinen Support, da eines seiner Foren nicht unseren Foren-Regeln entspricht!

Hallo Jockl.

Danke für die superschnelle Hilfe! Cool Das Problem ist beseitigt, dafür (wie so oft) gleich ein Neues da. Big Grin

Im Plugin-Manager steht nun hinter "Table Generator (1.0)", welcher der Angabe hier zufolge kompatibel mit myBB-Version 1.8.x ist, "Dieses Plugin ist nicht kompatibel mit MyBB 1.8.3"? Huh

Da ich im Backend "Deutsch_Du" verwende und die zugehörigen Dateien im Download nicht enthalten sind habe ich kurzerhand die zum Plugin gehörenden Dateien aus "deutsch_sie" hinkopiert und einem Blick in die 'tablegenerator.lang.php' zufolge dürfte das auch vollkommen iO sein / den Fehler nicht verursachen. Notwendig ist das ja ohnehin, da er (logischerweise) im Ordner 'inc/languages/deutsch_du/admin/' nach der Datei gesucht hat.

Besitzer/Gruppe und Rechte aller hinzugefügten Dateien sind ebenfalls angepasst (wwwrun:www und -rw-r--r--).

VG, Flori
Zitieren
#5
Du musst die Kompatibilität des Plugins auf 1.8* setzen.

Siehe hierzu auch: https://www.mybb.de/forum/thread-16702.html
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#6
Dieser Benutzer erhält keinen Support, da eines seiner Foren nicht unseren Foren-Regeln entspricht!

Anfängerfehler, was? Blush Wundert mich zwar etwas, dass bei einer Version die explizit mit Version 1.8.x kompatibel ist und scheinbar auch erst vor einer Weile hochgeladen wurde noch die 1.6.* drin steht, aber ok ... beim nächsten Mal weiß ich wo zu suchen ist. Danke sehr! Exclamation

Ist jetzt erfolgreich aktiviert und wird im Frontend angezeigt. Beim anklicken des Links passiert zwar bisher noch nix, aber das liegt vermutlich an meinen Browser-Einstellungen und sollte ich beheben können.

Gruß, myBB-Us3r
Zitieren
#7
(01.02.2015, 19:06)myBB-Us3r schrieb: ....bei einer Version die explizit mit Version 1.8.x kompatibel ist und scheinbar auch erst vor einer Weile hochgeladen wurde
Wie kommst Du darauf? Das Plugin steht unter den 1.6er Plugins und wurde zuletzt am 15.09.2012 aktualisiert. Da war von MyBB 1.8 nur ganz schwach am Horizont etwas zu erkennen...

Ob Deine Probleme damit zu tun haben, dass dieses Plugin für 1.6 geschrieben wurde, kann ich nicht sagen, da ich es selbst nie im Einsatz hatte.


Nachtrag:
ohne weiteres dürfte das Plugin unter 1.8 nicht verwendbar sein. Es nutzt z.B. die Javascript-Fkt. 'MyBB.popupWindow', die unter 1.8 nicht mehr so funktioniert, wie unter 1.6 (siehe hier). Das wird der Grund sein, warum sich bei Dir nichts tut, wenn Du den Button anklickst.....
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#8
Dieser Benutzer erhält keinen Support, da eines seiner Foren nicht unseren Foren-Regeln entspricht!

(01.02.2015, 19:12)Jockl schrieb: Wie kommst Du darauf?
Weil sowohl dort wo ich es heruntergeladen habe als auch hier im Forum explizit die 1.8.x ausgewiesen wird und da letzte Aktualisierung vom Oktober 2014 ist.

Aber Asche auf mein Haupt! Jetzt wo Du es sagst ... hier geht es um den "MyCode TableGenerator" und ich verwende den "Table Generator". Lightbulb
Zitieren
#9
Ok..... Wink

Habe mal die Beiträge zum richtigen Plugin verschoben.
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#10
Dieser Benutzer erhält keinen Support, da eines seiner Foren nicht unseren Foren-Regeln entspricht!

Ja, hier ist es definitiv besser aufgehoben.

Danke auch für den Link bzgl. MyBB.popupWindow(). Die neue Implementierung / Funktionsaufruf ...
Code:
73      popupWindow: function(url, options, root)
74      {
...
83      },
und der Aufruf im Frontend
Code:
MyBB.popupWindow('http://<domain_ersetzt>/misc.php?action=tablegenerator', 'TableGenerator', 660, 450);
sind alles andere als kompatibel.

Schade, aber da ich keine Lust auf eine Bastellösung habe werde ich mich wohl nach etwas anderem umschauen, wobei mir die angegebene Kompatibilität mit Version 1.8.x trotzdem ein Rätsel bleibt. Huh
Zitieren


Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  MyCode TableGenerator MyBB.de Bot 39 3.780 30.12.2012, 16:01
Letzter Beitrag: MrBrechreiz